Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232868 - gdal-config --dep-libs references 64-bit libs on i386
Summary: gdal-config --dep-libs references 64-bit libs on i386
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdal
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Balint Cristian
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 04:54 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-21 00:33:38 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2007-03-19 04:54:40 UTC
Description of problem:

gdal-config --dep-libs
references 64-bit libs on i386:

#gdal-config --dep-libs
-L/usr/lib -lgeos -lgeos_c -lodbc -lodbcinst -lxerces-c -L/usr/lib
-L/usr/lib/hdf -L/usr/lib/netcdf-3 -ljasper -lhdf5 -lmfhdf -ldf -L/usr/lib
-L/usr/lib/lib -logdi -lgif -ljpeg -Lexternal/lib -ltiff -lpng -lnetcdf -L/usr
-L/usr/lib -lcfitsio -lpq -L/usr/lib -lpq -lz -lpthread -lm -lrt -ldl
-L/usr/lib/lib -ldap -ldapclient -ldapserver -L/usr/lib/netcdf-3 -L/usr/lib/hdf
-L/usr/lib64/netcdf-3 -L/usr/lib64/hdf -lpthread -lrx -L/usr/kerberos/lib -lcurl
-lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lresolv -ldl -lidn -lssl -lcrypto -lz
-L/usr/lib -lxml2 -lz -lm -lsqlite3 -L/usr/kerberos/lib -lcurl -lgssapi_krb5
-lkrb5 -lk5crypto -lcom_err -lresolv -ldl -lidn -lssl -lcrypto -lz
-L/usr/lib/mysql -lmysqlclient -lz -lcrypt -lnsl -lm -L/usr/lib -lssl -lcrypto

Note the -L/usr/lib64/* entries.

Version-Release number of selected component (if applicable):
gdal-1.4.0-16.fc6

Expected results:
I have no idea what gdal-config --dep-libs is supposed to do and how it differs
from gdal-config --libs

Comment 1 Balint Cristian 2007-03-19 12:31:49 UTC
e.g GRASS project (under submission bz#227646 use it !)

  I was asked :-) by others too, and indeed i dont know exactly.

  Maybe something like it will link olso external libs on wich even 
gdla depends ?

I this unacceptable ? If not i can fix it, but than i look forward what
will imply that olso to grass.

Comment 2 Balint Cristian 2007-03-19 12:32:58 UTC
oh i olso miss the pint ...

"64-bit libs on i386", defeneatly i fix this soon !
I will merge upstream olso the right fix.

Comment 3 Balint Cristian 2007-03-20 23:11:24 UTC
fixed in -17 release.


Note You need to log in before you can comment on or make changes to this bug.